summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 66561f5)
raw | patch | inline | side by side (parent: 66561f5)
author | Junio C Hamano <junkio@cox.net> | |
Wed, 10 May 2006 02:23:23 +0000 (19:23 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 13 May 2006 21:00:15 +0000 (14:00 -0700) |
After doing an in-index 3-way merge, we always do the stock
"merge-index merge-one-file" without doing anything fancy;
use of --aggressive helps performance quite a bit.
Signed-off-by: Junio C Hamano <junkio@cox.net>
"merge-index merge-one-file" without doing anything fancy;
use of --aggressive helps performance quite a bit.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-checkout.sh | patch | blob | history |
diff --git a/git-checkout.sh b/git-checkout.sh
index 463ed2eaff906edaeb0f6d3f8138798e373c6495..a11c939c30f46561adb8179570d825a85fb8b57b 100755 (executable)
--- a/git-checkout.sh
+++ b/git-checkout.sh
work=`git write-tree` &&
git read-tree --reset $new &&
git checkout-index -f -u -q -a &&
- git read-tree -m -u $old $new $work || exit
+ git read-tree -m -u --aggressive $old $new $work || exit
if result=`git write-tree 2>/dev/null`
then